Market Radar API
API referenceNewsletters

One issue, with what each block carries

Its radar, rates and prices blocks in order, with their signals, calls for tender, rates or prices, without those removed from it.

GET
/newsletters/{id}/issues/{issue_id}

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Path Parameters

id*integer
Range0 < value <= 9007199254740991
issue_id*integer
Range0 < value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/newsletters/1/issues/1"
{  "id": 1,  "number": -9007199254740991,  "status": "awaiting_review",  "subject": "string",  "send_at": "2019-08-24T14:15:22Z",  "cutoff_at": "2019-08-24T14:15:22Z",  "signals": -9007199254740991,  "calls": -9007199254740991,  "sent_count": -9007199254740991,  "web_url": "string",  "pdf_url": "string",  "blocks": [    {      "block_id": "string",      "type": "news",      "title": "string",      "signals": [        {          "id": 1,          "radar_id": 1,          "headline": "string",          "summary": "string",          "url": "string",          "outlet": "string",          "company": "string",          "filter": "string",          "first_reported_at": "2019-08-24T14:15:22Z",          "source_count": -9007199254740991,          "in_email": true,          "removed": true        }      ]    }  ]}